curl --request GET \
--url https://api.postflow.app/v1/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.postflow.app/v1/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.postflow.app/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"public_id": "<string>",
"organization_id": "<string>",
"user_id": "<string>",
"post_id": "<string>",
"cu_task_id": "<string>",
"name": "<string>",
"note": "<string>",
"visible_for_client": true,
"content": "<string>",
"content_weighted_length": 123,
"has_customized_content": true,
"locations": [
{
"id": "<string>",
"name": "<string>",
"location": [
"<string>"
],
"followers_count": 123,
"username": "<string>"
}
],
"image_tags": [
{
"id": "<string>",
"media_id": "<string>",
"x": 123,
"y": 123,
"mode": "user",
"username": "<string>",
"social_account_id": "<string>",
"product": [
"<string>"
]
}
],
"selected_media_ids": [
"<string>"
],
"first_comments": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionValue": 123,
"content": "<string>",
"customized": {
"linkedin": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionValue": 123,
"content": "<string>"
},
"instagram": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionValue": 123,
"content": "<string>"
},
"facebook": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionValue": 123,
"content": "<string>"
},
"youtube": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionValue": 123,
"content": "<string>"
},
"threads": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionValue": 123,
"content": "<string>"
},
"bluesky": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionValue": 123,
"content": "<string>"
},
"twitter": {
"enabled": true,
"socialAccountIds": [
"<string>"
],
"conditionValue": 123,
"content": "<string>"
}
}
},
"publication_date": "2023-11-07T05:31:56Z",
"publication_timestamp": 123,
"customized_publication_date": [
"<string>"
],
"publication_delay_between": 123,
"fb_video_title": "<string>",
"ig_collaborators": [
"<string>"
],
"ig_share_to_feed": true,
"ig_allow_comments": true,
"ig_audio_name": "<string>",
"li_carousel_title": "<string>",
"li_poll": {
"question": "<string>",
"option_1": "<string>",
"option_2": "<string>",
"option_3": "<string>",
"option_4": "<string>"
},
"tt_carousel_title": "<string>",
"tt_disable_duet": true,
"tt_disable_stitch": true,
"tt_disable_comment": true,
"tt_brand_content": true,
"tt_brand_organic": true,
"tt_auto_music": true,
"tt_is_aigc": true,
"pi_pin_title": "<string>",
"pi_url_link": "<string>",
"pi_boards": [
"<string>"
],
"pi_sections": [
"<string>"
],
"pi_is_standard_pin": true,
"gb_event_title": "<string>",
"gb_start_date": "2023-11-07T05:31:56Z",
"gb_end_date": "2023-11-07T05:31:56Z",
"gb_use_time": true,
"gb_action_url": "<string>",
"gb_coupon_code": "<string>",
"gb_redeem_url": "<string>",
"gb_term_conditions": "<string>",
"yt_video_title": "<string>",
"yt_video_tags": [
"<string>"
],
"yt_categories": [
"<string>"
],
"yt_playlists": [
"<string>"
],
"yt_embeddable": true,
"yt_notify_subscribers": true,
"yt_made_for_kids": true,
"dr_title": "<string>",
"dr_tags": [
"<string>"
],
"tw_poll": [
"<string>"
],
"th_poll": [
"<string>"
],
"th_topic_tag": "<string>",
"customized": {
"twitter": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"linkedin": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"facebook": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"instagram": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"tiktok": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"bluesky": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"pinterest": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"google_business_profile": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"youtube": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"threads": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"snapchat": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"dribbble": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
},
"tumblr": {
"content": "<string>",
"content_json": "<string>",
"media_ids": [
"<string>"
]
}
},
"is_publicly_shared": true,
"guest_approver_name": "<string>",
"everyone_must_approve": true,
"should_skip": true,
"approved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"inviter_id": "<string>",
"organization_id": "<string>",
"is_client": true,
"can_approve": true,
"can_connect_account": true,
"can_access_all_groups": true,
"self_approval": true,
"time_format_24": true,
"avatar": "<string>",
"invited_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"open_cu_links_in_app": false,
"groupIds": []
},
"socialAccounts": [],
"comments": [],
"tasks": [],
"details": [],
"media": [],
"labels": [],
"approvals": [],
"selectedAccountIds": [],
"assigneesIds": [],
"cu_creator_name": "<string>"
}
],
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"meta": {
"current_page": 123,
"first_page_url": "<string>",
"from": 123,
"last_page": 123,
"last_page_url": "<string>",
"next_page_url": "<string>",
"path": "<string>",
"per_page": 123,
"prev_page_url": "<string>",
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Get posts
Returns a paginated list of posts. You can filter posts using the parameters.
Either groupId or socialAccountIds must be provided.
Relationships postDetails, socialAccounts, approvals are always included.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Use to filter posts by status. Omit if you want all posts.
1 NotSchedule
5 Draft
10 InReview
15 ReviewRejected
20 ReviewMissed
25 Scheduled
30 InProgress
35 Failed
37 Skipped
40 Published
50 Deleted
1, 5, 10, 15, 20, 25, 30, 35, 37, 40, 50 Determines whether posts must have all specified labels all or at least one any.
any, all Whether to include posts that were synchronized from outside PostFlow (published directly on the social network).
Available includes are labels, postComments, postTasks, media. You can include multiple options by separating them with a comma.
List of social account IDs separated by commas.
List of label IDs separated by commas